gnutls_pkcs12_bag_get_key_id(3)

NAME
gnutls_pkcs12_bag_get_key_id - This function gets the key ID from the bag element

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_get_key_id(gnutls_pkcs12_bag_t bag, int indx, gnutls_datum_t * id);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

int indx
    The bag's element to add the id

gnutls_datum_t * id
    where the ID will be copied (to be treated as const)

DESCRIPTION
This function will return the key ID, of the specified bag element. The key ID is usually used to distinguish the local private key and the certificate pair.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value. or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.